precision highp float;
varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform vec2 canvasSize;
uniform vec2 inputSize;

void main()
{
    vec2 uv = textureCoordinate;
    uv.x *= canvasSize.x / inputSize.x;
    uv.y *= canvasSize.y / inputSize.y;

    uv += 1.0;
    uv *= 0.5;
    uv = fract(uv);
    uv = abs((uv-0.5) * 2.0);

    gl_FragColor = texture2D(inputImageTexture, uv);
}